%global srcname simplegeneric
%global module simplegeneric

Name:           python-%{srcname}
Version:        0.8.1
Release:        %mkrel 4
Summary:        Simple generic functions (similar to Python's own len(), pickle.dump(), etc.)

Group:          Development/Python
License:        ZPL
URL:            http://cheeseshop.python.org/pypi/simplegeneric
Source0:        %{srcname}-%{version}.tar.xz
BuildArch:      noarch

%description
Simple generic functions (similar to Python's own len(), pickle.dump(), etc.)

%package -n python3-%{srcname}
Summary:        Simple generic functions (similar to Python's own len(), pickle.dump(), etc.)
Group:          Development/Python
BuildArch:      noarch

%description -n python3-%{srcname}
Simple generic functions (similar to Python's own len(), pickle.dump(), etc.)

%prep
%build
%install
rm -rf %buildroot
mkdir -p %buildroot/%{_libdir}/python3.10/site-packages
pip3 install -t %buildroot/%{_libdir}/python3.10/site-packages %{module}

echo "rpm" >%buildroot/usr/lib64/python3.10/site-packages/%{module}-%{version}.dist-info/INSTALLER


%files -n python3-%{srcname}
%{python3_sitearch}

%changelog
* Thu Aug 18 2022 tex - 0.8.1-4pclos2022
- rebuild against updates

* Fri Apr 06 2018 marcin82 <fixxer1982 at gmail.com> 3pclos2018
- rebuild with Python 3.6.5

* Sun Mar 20 2016 bb <bb> 0.8.1-2pclos2016
- build for python3
